package com.uiui.zyappstore.base;

import android.content.Context;
import android.os.Bundle;

import android.view.View;

import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import com.uiui.zyappstore.utils.LogUtils;

/**
 * Created by asus on 2017/8/4.
 */

public class BaseFragment extends Fragment {

    private static final String TAG = "BaseFragment";
    
    @Override
    public void onAttach(Context context) {
        super.onAttach(context);
        LogUtils.d(TAG, "onAttach: ");
    }

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        LogUtils.d(TAG, "onCreate: ");
    }

    @Override
    public void onViewCreated(View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        LogUtils.d(TAG, "onViewCreated: ");
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        LogUtils.d(TAG, "onActivityCreated: ");
    }

    @Override
    public void onStart() {
        super.onStart();
        LogUtils.d(TAG, "onStart: ");
    }

    @Override
    public void onResume() {
        super.onResume();
        LogUtils.d(TAG, "onResume: ");
    }

    @Override
    public void onPause() {
        super.onPause();
        LogUtils.d(TAG, "onPause: ");
    }

    @Override
    public void onStop() {
        super.onStop();
        LogUtils.d(TAG, "onStop: ");
    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        LogUtils.d(TAG, "onDestroyView: ");
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        LogUtils.d(TAG, "onDestroy: ");
    }

    @Override
    public void onDetach() {
        super.onDetach();
        LogUtils.d(TAG, "onDetach: ");
    }
}
